cURL
curl --request POST \
--url https://api.ycloud.com/v2/whatsapp/groups/{groupId}/participants/remove \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{"participants":[{"user":"16315551111"}]}'
import requests
response = requests.post(
"https://api.ycloud.com/v2/whatsapp/groups/{groupId}/participants/remove",
headers={"X-API-Key": "<api-key>"},
json={"participants": [{"user": "16315551111"}]},
)
response.raise_for_status()
const response = await fetch(
"https://api.ycloud.com/v2/whatsapp/groups/{groupId}/participants/remove",
{
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "<api-key>",
},
body: JSON.stringify({
participants: [{ user: "16315551111" }],
}),
},
);
{
"requestId": "REQ_1",
"status": "pending"
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
}
}
}WhatsApp Groups
Remove group participants
Removes one or more participants from a WhatsApp group.
The request is processed asynchronously. Use webhooks to receive the final participants update result.
POST
https://api.ycloud.com/v2
/
whatsapp
/
groups
/
{groupId}
/
participants
/
remove
cURL
curl --request POST \
--url https://api.ycloud.com/v2/whatsapp/groups/{groupId}/participants/remove \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{"participants":[{"user":"16315551111"}]}'
import requests
response = requests.post(
"https://api.ycloud.com/v2/whatsapp/groups/{groupId}/participants/remove",
headers={"X-API-Key": "<api-key>"},
json={"participants": [{"user": "16315551111"}]},
)
response.raise_for_status()
const response = await fetch(
"https://api.ycloud.com/v2/whatsapp/groups/{groupId}/participants/remove",
{
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "<api-key>",
},
body: JSON.stringify({
participants: [{ user: "16315551111" }],
}),
},
);
{
"requestId": "REQ_1",
"status": "pending"
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
}
}
}Authorizations
Path Parameters
WhatsApp group ID.
Example:
"120363345678901234@g.us"
Body
application/json
Participants to remove. Up to 8 participants are supported in one request.
Maximum array length:
8Show child attributes
Show child attributes
Response
The participant removal request is successfully accepted.

